locked
Dynamics CRM 4.0 not recognizing the presence of .NET Framework RRS feed

  • Question

  • Hi all,

    I'm installing Dynamics CRM 4.0 Workgroup Server on a Windows 2008 Server (Foundation) machine. As the setup inspects the system for needed components, it informs me that Microsoft .NET Framework is missing and that the minimum version required is 3.0.4506.30.

    The instructions further state that if I click the Install button, the component will be installed - however, in the Status column for .NET Framework, it indicates that the CRM program setup cannot install this and that it must be installed by the user. I downloaded and installed .NET Framework version 4.0.30319 (it is showing in my list of installed programs) but the setup still does not recognize that this component is installed, so I'm stuck at this point and can't proceed with the installation.

    I'm hoping that someone can either point me to an existing KB article or forum post that addresses this, or that someone may know how to fix the issue.

    Thanks in advance for any suggestions/assistance!

    Jeff

    Wednesday, April 27, 2011 11:06 PM

All replies

  • Jeff

    If you configure Windows 2008 as an Application Server this will activate .NET 3.0 SP1. Having .NET 4.0 doesn't mean that you don't need .NET 3 since .NET versions aren't backwardly compatible. The "good news" is that you can have multiple versions of .NET on a machine.

    Wednesday, May 4, 2011 3:54 PM
  • If any one with this problem, just activate .net framework features.
    • Proposed as answer by RDevelopment Monday, August 19, 2013 8:47 AM
    Thursday, May 30, 2013 2:41 PM